/* anagramme.c */
/* L3 Informatique -- 2008/09 -- stage C */

#include <stdlib.h>
#include <stdio.h>

#include "verif.h"
#include "libchaine.h"
#include "libperm.h"

int estAnagramme(char* mot)
{

  printf("'%s' ",mot);
  
  if ( verif(mot) == 0 ) {
    printf("est une anagramme\n");
    return 1;
  }
  else{
    printf("n'est pas une anagramme\n");
    return 0;
  }
}

int main(int argc, char* argv[])
{
  if (argc !=2) {
    printf("Usage: %s mot\n",argv[0]);
    return EXIT_FAILURE;
  } 

  char * mot = argv[1];
  int taille = longueur(mot);
  estAnagramme(mot);
  for(int i=1;i<=fact(taille);i++){
    transposition(mot);
    estAnagramme(mot);
    for(int j=1;j < (i%taille);j++){
      circulaire(mot);
      estAnagramme(mot);
    }
  }
  

  return EXIT_SUCCESS;
}
