/* libperm.c */
/* L3 Informatique -- 2008/09 -- stage C */

#include <stdio.h>
#include <stdlib.h>

#include "libperm.h"
/* Echange des deux premières lettres
   /!\ si le mot est petit ... */
void transposition(char* mot)
{
  char tmp;
  tmp = mot[0];
  mot[0] = mot[1];
  mot[1] = tmp;
}


/* Permutation circulaire des lettres du mot */
void circulaire(char* mot)
{
  int i=0;
  char tmp1=mot[0];
  char tmp2;
  
  if (tmp1 == '\0')
    return;
  i++;
  while( mot[i] !='\0' ){
    tmp2 = mot[i];
    mot[i] = tmp1;
    tmp1 = tmp2;
    i++;
  }
  mot[0] = tmp1;
}

/* Factorielle! */
int fact(int n)
{
  int i,resultat=1;
  for(i=1;i<=n;i++)
    resultat *= i;
  return resultat;
}

