/* Ce programme regarde si une année donnée est bissextile ou non */
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char * argv[])
{
  int annee;
  
  if ( argc == 1 ) 
  {
      // L'utilisateur a oublié l'argument
      fprintf(stderr,"Usage : %s annee\n",argv[0]);
      return EXIT_FAILURE;
  }
  
  annee = atoi(argv[1]);
  /* Source http://fr.wikipedia.org/wiki/Bissextile#R.C3.A8gle_actuelle */
  if ( ((annee % 4 == 0)&&(annee % 100 != 0)) || (annee % 400 == 0)) 
  {
      printf("L'année %d est bissextile \n",annee);
  }
  else 
  {
      printf("L'année %d N'est PAS bissextile \n",annee);
  }
  
  return EXIT_SUCCESS;
}
